Update Secret
PUT
/secrets/{secret_name}
const url = 'https://api.mengi.cloud/secrets/example';const options = { method: 'PUT', headers: {'Content-Type': 'application/json'}, body: '{"value":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.mengi.cloud/secrets/example \ --header 'Content-Type: application/json' \ --data '{ "value": "example" }'Update a secret’s value in OpenBao.
Use deployment_id query param if the secret is deployment-scoped.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” secret_name
required
Secret Name
string
Query Parameters
Section titled “Query Parameters ”Request Body required
Section titled “Request Body required ” Media type application/json
SecretUpdate
object
value
required
Value
string
Example generated
{ "value": "example"}Responses
Section titled “ Responses ”Successful Response
Media type application/json
Validation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}